# Visualization
TKService
AlienImage

# AlienImage_GIFAlienImage Class Reference

`#include <AlienImage_GIFAlienImage.hxx>`

Inheritance diagram for AlienImage_GIFAlienImage:

[legend]

## Public Member Functions

Standard_EXPORT | AlienImage_GIFAlienImage ()
Standard_EXPORT void | Clear ()
| Frees memory allocated by GIFAlienImage .
| ~AlienImage_GIFAlienImage ()
Standard_EXPORT void | SetName (const TCollection_AsciiString &aName)
| Set Image name . .
Standard_EXPORT const TCollection_AsciiString & | Name () const
| get Image name .
Standard_EXPORT Handle_Image_Image | ToImage () const
| convert a GIFAlienImage object to a Image object.
Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)
| convert a Image object to a GIFAlienImage object.
Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)
| Read content of a GIFAlienImage object from a file . Returns True if file is a GIF file . .
Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const
| Write content of a GIFAlienImage object to a file . .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AlienImage_GIFAlienData | myData

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_GIFAlienImage::AlienImage_GIFAlienImage | ( |  | ) |

AlienImage_GIFAlienImage::~AlienImage_GIFAlienImage | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void AlienImage_GIFAlienImage::Clear | ( |  | ) |

Standard_EXPORT void AlienImage_GIFAlienImage::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT const AlienImage_GIFAlienImage::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienUserImage.

Standard_EXPORT const TCollection_AsciiString& AlienImage_GIFAlienImage::Name | ( |  | ) | const

Standard_EXPORT Standard_Boolean AlienImage_GIFAlienImage::Read | ( | OSD_File & | afile | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT void AlienImage_GIFAlienImage::SetName | ( | const TCollection_AsciiString & | aName | ) |

Standard_EXPORT Handle_Image_Image AlienImage_GIFAlienImage::ToImage | ( |  | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT Standard_Boolean AlienImage_GIFAlienImage::Write | ( | OSD_File & | afile | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

## Field Documentation

Handle_AlienImage_GIFAlienData AlienImage_GIFAlienImage::myData `[private]`

The documentation for this class was generated from the following file:

- AlienImage_GIFAlienImage.hxx